# hbs_boxpixfix.cl
#       
#        hbs_boxpixfix input_fn x1 y1 x2 y2
#
#         ver 1.0 2004.9.28 H.Akitaya
#
#     usage
#     1. cl> hbs_boxpixfix oa00xxxx.px.imh 100 102 98 101
#

procedure hbs_boxpixfix( input_fn, x1, x2, y1, y2 )

string input_fn { prompt = "Input File  Name" }
int x1 { prompt = "x1" }
int x2 { prompt = "x2" }
int y1 { prompt = "y1" }
int y2 { prompt = "y2" }

# main

begin

int imgx, imgy
file mask_dat, mask_fn, tobefixed_fn

imgx = 512
imgy = 200

tobefixed_fn = input_fn
mask_fn = "_temp_mask.pl"
mask_dat = "_temp_mask.dat"

if( access( mask_fn ) )
  delete( mask_fn )
if( access( mask_dat ) )
  delete( mask_dat )

print( x1, x2, y1, y2, > mask_dat )
  
text2mask ( mask_dat, mask_fn, imgx, imgy )
fixpix( tobefixed_fn, mask_fn, linterp="1", cinterp="2", \
        verbose+, pixels+ )

delete( mask_fn )
delete( mask_dat )

bye

end

# end
