#
#       HBS REDUCTION SUB ROUTINE
#
#       running-mean *ave.imh
#
#       1998/05/31      K.Kawabata ver.2.10  unification and e/o rejection
#
#
procedure hbsboxcar

begin

  file tmp_list, buf
  int c, ix, iy

  tmp_list = mktemp( "hbs.tmp.list." )

  printf( "Running-mean factor for x and y (ex. 5 1 ) >> " )
  c = scan( ix, iy )

  sections( "*ave.imh", option="fullname", >> tmp_list )

  list = tmp_list
  while( fscan( list, buf ) != EOF )
  {
    printf( "%s ", buf )
    boxcar( buf, buf, ix, iy )
  }

  printf( "\n" )
  delete( tmp_list, ver- )

end
